Get one application
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/applications/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/applications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"application": {
"id": "<string>",
"applicant_person_id": "<string>",
"status": "draft",
"is_open": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"co_applicant_name": "<string>",
"co_applicant_email": "<string>",
"co_applicant_phone": "<string>",
"housing_type": "house",
"housing_is_rented": true,
"landlord_name": "<string>",
"landlord_phone": "<string>",
"landlord_approves": true,
"has_fenced_yard": true,
"household_adults": 1,
"household_children": 1,
"youngest_child_age": 1,
"household_agrees": true,
"has_current_pets": true,
"current_pets": "<string>",
"has_previous_pets": true,
"previous_pets": "<string>",
"vet_name": "<string>",
"vet_phone": "<string>",
"hours_alone_per_day": 12,
"meet_scheduled_at": "<string>",
"meet_location": "<string>",
"meet_completed_at": "<string>",
"meet_notes": "<string>",
"decision_notes": "<string>",
"application_kind": "adoption",
"stage": "<string>",
"stage_label": "<string>",
"submitted_on": "2023-12-25",
"decided_on": "2023-12-25",
"decided_by_person_id": "<string>",
"decision_reason_code": "housing_unsuitable",
"held_at": "2023-11-07T05:31:56Z",
"hold_reason": "<string>",
"meet_with": [
{
"person_id": "<string>",
"name": "<string>"
}
],
"source_submission_id": "<string>",
"custom_fields": {},
"applicant_first_name": "<string>",
"applicant_last_name": "<string>",
"applicant_name": "<string>",
"applicant_email": "<string>",
"pet_count": 123,
"assignees": [
{
"person_id": "<string>",
"name": "<string>"
}
],
"pets": [
{
"animal_id": "<string>",
"rank": 123,
"id": "<string>",
"name": "<string>",
"species": "dog",
"status": "<string>",
"breed": "<string>"
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Adoption applications
Get one application
The application, with the animals applied for, who is working it and who the applicant meets. Needs read on Animals.
GET
/
api
/
animals
/
applications
/
{id}
Get one application
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/applications/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/applications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"application": {
"id": "<string>",
"applicant_person_id": "<string>",
"status": "draft",
"is_open": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"co_applicant_name": "<string>",
"co_applicant_email": "<string>",
"co_applicant_phone": "<string>",
"housing_type": "house",
"housing_is_rented": true,
"landlord_name": "<string>",
"landlord_phone": "<string>",
"landlord_approves": true,
"has_fenced_yard": true,
"household_adults": 1,
"household_children": 1,
"youngest_child_age": 1,
"household_agrees": true,
"has_current_pets": true,
"current_pets": "<string>",
"has_previous_pets": true,
"previous_pets": "<string>",
"vet_name": "<string>",
"vet_phone": "<string>",
"hours_alone_per_day": 12,
"meet_scheduled_at": "<string>",
"meet_location": "<string>",
"meet_completed_at": "<string>",
"meet_notes": "<string>",
"decision_notes": "<string>",
"application_kind": "adoption",
"stage": "<string>",
"stage_label": "<string>",
"submitted_on": "2023-12-25",
"decided_on": "2023-12-25",
"decided_by_person_id": "<string>",
"decision_reason_code": "housing_unsuitable",
"held_at": "2023-11-07T05:31:56Z",
"hold_reason": "<string>",
"meet_with": [
{
"person_id": "<string>",
"name": "<string>"
}
],
"source_submission_id": "<string>",
"custom_fields": {},
"applicant_first_name": "<string>",
"applicant_last_name": "<string>",
"applicant_name": "<string>",
"applicant_email": "<string>",
"pet_count": 123,
"assignees": [
{
"person_id": "<string>",
"name": "<string>"
}
],
"pets": [
{
"animal_id": "<string>",
"rank": 123,
"id": "<string>",
"name": "<string>",
"species": "dog",
"status": "<string>",
"breed": "<string>"
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The application's ID.
Response
The application.
The answers on an application. Send only what changes. A yes or no answer is true, false, or null for not asked. Text is trimmed, and empty text is stored as null.
Show child attributes
Show child attributes